package main

import "strings"

type authString string

func (s authString) split() []string {
	return strings.SplitN(string(s), ":", 2)
}

func (s authString) Username() string {
	return s.split()[0]
}

func (s authString) Password() string {
	ss := s.split()
	if len(ss) < 2 {
		return ""
	}
	return ss[1]
}

type config struct {
	Listen                string     `long:"listen" description:"Listen on address" default:":8080" env:"HTTP_LISTEN"`
	LogLevel              string     `long:"log-level" description:"Set log level" default:"info" env:"LOG_LEVEL"`
	ManagementCredentials authString `long:"management-credentials" description:"Management credentials" env:"MANAGEMENT_CREDENTIALS" required:"true"`
}
