# Monero Multisig Broker

A proof-of-concept broker for Monero multisig messages.

## Usage

### Build

```
$ make
```

### Run

```
$ ./mmb --management-credentials "admin:pass"
```

### Init multisig topic

The script uses hardcoded ("admin:pass" credentials), if you changed it, do the same in
`./utils/create_topic.sh`.

```
$ ./utils/create_topic.sh bob_buyer vendy_vendor
{
  "admin": "PMRGQ33TOQRDUITMN5RWC3DIN5ZXIORYGA4DAIRMEJ2G64DJMMRDUIRRGY4DOZDGHFSS2ZJZGM4S2MZRGQ3S2ZJYGIZS2YJXMY3DIYTFGU2GGMJWEIWCE5DPNNSW4IR2EI2DS6TVNNGHQVBWOBMWKWBVMRZDEMBCFQRG42LDNNXGC3LFEI5CEYLENVUW4IT5",
  "bob_buyer": "PMRGQ33TOQRDUITMN5RWC3DIN5ZXIORYGA4DAIRMEJ2G64DJMMRDUIRRGY4DOZDGHFSS2ZJZGM4S2MZRGQ3S2ZJYGIZS2YJXMY3DIYTFGU2GGMJWEIWCE5DPNNSW4IR2EIZDS2TILJUXCWDWOJ3TI3TYNM2TMMJCFQRG42LDNNXGC3LFEI5CEYTPMJPWE5LZMVZCE7I=",
  "vendy_vendor": "PMRGQ33TOQRDUITMN5RWC3DIN5ZXIORYGA4DAIRMEJ2G64DJMMRDUIRRGY4DOZDGHFSS2ZJZGM4S2MZRGQ3S2ZJYGIZS2YJXMY3DIYTFGU2GGMJWEIWCE5DPNNSW4IR2EI2USURQGJGXCNCVM5DHMTSCG4ZXIWBCFQRG42LDNNXGC3LFEI5CE5TFNZSHSX3WMVXGI33SEJ6Q===="
}
====
{
  "host": "localhost:8080",
  "topic": "1687df9e-e939-3147-e823-a7f64be54c16",
  "token": "49zukLxT6pYeX5dr20",
  "nickname": "admin"
}
{
  "host": "localhost:8080",
  "topic": "1687df9e-e939-3147-e823-a7f64be54c16",
  "token": "29jhZiqXvrw4nxk561",
  "nickname": "bob_buyer"
}
{
  "host": "localhost:8080",
  "topic": "1687df9e-e939-3147-e823-a7f64be54c16",
  "token": "5IR02Mq4UgFvNB73tX",
  "nickname": "vendy_vendor"
}
```

### Push messages

Push message as `bob_buyer`.

```
$ ./utils/push_message.sh 6b7d9e1e-17be-17af-cbfd-0277f5fce77e 1IXU5w4T2qYjtZ0z6K
```

Push message as `vendy_vendor`.

```
$ ./utils/push_message.sh 6b7d9e1e-17be-17af-cbfd-0277f5fce77e u806D1df4TI2GxhNmc
```

### List messages

```
$ ./utils/list_messages.sh 6b7d9e1e-17be-17af-cbfd-0277f5fce77e u806D1df4TI2GxhNmc
[
  {
    "index": 0,
    "sender": "bob_buyer",
    "content_type": "application/json",
    "content": {
      "body": "hello world!"
    }
  },
  {
    "index": 1,
    "sender": "vendy_vendor",
    "content_type": "application/json",
    "content": {
      "body": "hello world!"
    }
  }
]
```

## Acknowledgement

/u/tinkerwithtor
